Skip to content

Monitoring

All operations require authentication, except the one marked Public.

2 operationsv1/connectivity/monitoring
Agent setup

List the generic incidents for a partnerProduction

GET
/1.0/connectivity/monitoring/genericIncident/partners

Returns the detected, validated and recently closed generic incidents, with their impacted operators, technologies, NRA/NRO and departments, and their estimated resolution date. Reserved for partners.

Query parameters

creationDate
stringdate-time

List only incidents created after this date

endDate
stringdate-time

List only incidents closed prior to this date

status
GenericIncidentStatusEnum

Filter by the status of the incident (detected, validated or closed)

Valuescloseddetectedvalidated

Response

200GenericIncident[]successful operation
comment
read-only
string

Optional comment, that contains some information and updates about the generic incident

creationDate
read-only
string

Creation date, the generic incident has been detected

default
read-only
string

Type of fault

departments
read-only
string[]

List of impacted department codes

endDate
read-only
string

End date, the generic incident is resolved and closed

estimatedResolutionDate
read-only
string

Estimated resolution date for generic incident

id
read-only
integer

Generic incident id

isNational
read-only
boolean

Identify a national generic incident

nature
read-only
string

Details about the consequence of the default

nra
read-only
string[]

List of impacted NRA/NRO

operators
read-only
OperatorEnum[]

List of impacted operators

ValuesAXIONEBOUYGUESKOSCORANGEOVHSFR
status
read-only
GenericIncidentStatusEnum

Generic incident status

Valuescloseddetectedvalidated
taskId
read-only
integer

Task id

taskReference
read-only
string

Task reference created on Ovhcloud status web page

technologies
read-only
string[]

Impacted technologies

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/monitoring/genericIncident/partners \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "comment": "string", "creationDate": "string", "default": "string", "departments": [ "string" ], "endDate": "string", "estimatedResolutionDate": "string", "id": 0, "isNational": true, "nature": "string", "nra": [ "string" ], "operators": [ "AXIONE" ], "status": "closed", "taskId": 0, "taskReference": "string", "technologies": [ "string" ] }]

List the generic incidentsProductionPublic

GET
/1.0/connectivity/monitoring/genericIncident/public

Returns the validated and recently closed generic incidents, with their impacted operators, technologies, NRA/NRO and departments, and their estimated resolution date. Filter on the dates and the status.

Query parameters

creationDate
stringdate-time

List only incidents created after this date

endDate
stringdate-time

List only incidents closed prior to this date

status
GenericIncidentStatusEnum

Filter by the status of the incident (validated or closed)

Valuescloseddetectedvalidated

Response

200GenericIncident[]successful operation
comment
read-only
string

Optional comment, that contains some information and updates about the generic incident

creationDate
read-only
string

Creation date, the generic incident has been detected

default
read-only
string

Type of fault

departments
read-only
string[]

List of impacted department codes

endDate
read-only
string

End date, the generic incident is resolved and closed

estimatedResolutionDate
read-only
string

Estimated resolution date for generic incident

id
read-only
integer

Generic incident id

isNational
read-only
boolean

Identify a national generic incident

nature
read-only
string

Details about the consequence of the default

nra
read-only
string[]

List of impacted NRA/NRO

operators
read-only
OperatorEnum[]

List of impacted operators

ValuesAXIONEBOUYGUESKOSCORANGEOVHSFR
status
read-only
GenericIncidentStatusEnum

Generic incident status

Valuescloseddetectedvalidated
taskId
read-only
integer

Task id

taskReference
read-only
string

Task reference created on Ovhcloud status web page

technologies
read-only
string[]

Impacted technologies

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/connectivity/monitoring/genericIncident/public
ResponseExample
[ { "comment": "string", "creationDate": "string", "default": "string", "departments": [ "string" ], "endDate": "string", "estimatedResolutionDate": "string", "id": 0, "isNational": true, "nature": "string", "nra": [ "string" ], "operators": [ "AXIONE" ], "status": "closed", "taskId": 0, "taskReference": "string", "technologies": [ "string" ] }]